"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useGeolocation(options) {
    var _a = (0, react_1.useState)(true), loading = _a[0], setLoading = _a[1];
    var _b = (0, react_1.useState)(), error = _b[0], setError = _b[1];
    var _c = (0, react_1.useState)({}), data = _c[0], setData = _c[1];
    (0, react_1.useEffect)(function () {
        var successHandler = function (e) {
            setLoading(false);
            setError(null);
            setData(e.coords);
        };
        var errorHandler = function (e) {
            setError(e);
            setLoading(false);
        };
        navigator.geolocation.getCurrentPosition(successHandler, errorHandler, options);
        var id = navigator.geolocation.watchPosition(successHandler, errorHandler, options);
        return function () { return navigator.geolocation.clearWatch(id); };
    }, [options]);
    return [data, loading, error];
}
exports.default = useGeolocation;
