import { useEffect, useRef } from "react";
export default function useEventListener(eventType, callback, element, options) {
    if (element === void 0) { element = window; }
    var callbackRef = useRef(callback);
    useEffect(function () {
        callbackRef.current = callback;
    }, [callback]);
    useEffect(function () {
        if (element == null)
            return;
        var handler = function (e) { return callbackRef.current(e); };
        element.addEventListener(eventType, handler, options);
        return function () { return element.removeEventListener(eventType, handler); };
    }, [eventType, element]);
}
