import useEventListener from "../useEventListener";
import useTimeout from "../useTimeout";
import useEffectOnce from "../useEffectOnce";
export default function useLongPress(ref, callback, delay) {
    if (delay === void 0) { delay = 250; }
    var _a = useTimeout(callback, delay), reset = _a.reset, clear = _a.clear;
    useEffectOnce(clear);
    useEventListener("mousedown", reset, ref.current);
    useEventListener("touchstart", reset, ref.current);
    useEventListener("mouseup", clear, ref.current);
    useEventListener("mouseleave", clear, ref.current);
    useEventListener("touchend", clear, ref.current);
}
